<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Настройки пользователя';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';

$id = intval($_GET['id']);
$page = intval($_GET['page']);
if($_GET['open']==1 ) $endurl='&amp;open=1';
###############Сортировка#########################
if($setup['eval_change']==1){
$eval = ',<a href="index.php?sort=eval&amp;id='.$id.$endurl.'">рейтинг</a>';
}
else{
$eval='';
}

$sort = $_SESSION['sort'];
$onpage = $_SESSION['onpage'];
$prew = $_SESSION['prew'];


if($sort == 'name') $sortlink = '<a href="index.php?sort=data&amp;id='.$id.$endurl.'">дата</a>,<a href="index.php?sort=size&amp;id='.$id.$endurl.'">размер</a>,<a href="index.php?sort=load&amp;id='.$id.$endurl.'">популярность</a>'.$eval;
elseif($sort == 'data') $sortlink = '<a href="index.php?sort=name&amp;id='.$id.$endurl.'">имя</a>,<a href="index.php?sort=size&amp;id='.$id.$endurl.'">размер</a>,<a href="index.php?sort=load&amp;id='.$id.$endurl.'">популярность</a>'.$eval;
elseif($sort == 'size') $sortlink = '<a href="index.php?sort=data&amp;id='.$id.$endurl.'">дата</a>,<a href="index.php?sort=name&amp;id='.$id.$endurl.'">имя,<a href="index.php?sort=load&amp;id='.$id.$endurl.'">популярность</a></a>'.$eval;
elseif($sort == 'load') $sortlink = '<a href="index.php?sort=data&amp;id='.$id.$endurl.'">дата</a>,<a href="index.php?sort=name&amp;id='.$id.$endurl.'">имя,<a href="index.php?sort=size&amp;id='.$id.$endurl.'">размер</a>'.$eval;
elseif($sort == 'eval' and $setup['eval_change']==1) $sortlink = '<a href="index.php?sort=data&amp;id='.$id.$endurl.'">дата</a>,<a href="index.php?sort=name&amp;id='.$id.$endurl.'">имя</a>,<a href="index.php?sort=size&amp;id='.$id.$endurl.'">размер</a>,<a href="index.php?sort=load&amp;id='.$id.$endurl.'">популярность</a>';

echo '<div class="phdr">Настройки пользователя</div>
<div class="gmenu">Cортировать по:<br/>'.$sortlink.'<br/>';
###############Дополнительная инфа###############
if($setup['onpage_change'] == 1)
{
echo 'Файлов на страницу: ';
for($i=10; $i<35;$i=$i+5)
{

echo '[<a href="index.php?onpage='.$i.'&amp;id='.$id.$endurl.'">'.$i.'</a>]';
}
echo '<br/>';
}
if($setup['preview_change'] == 1)
{
echo 'Предпросмотр: ';


echo '[<a href="index.php?id='.$id.'&amp;prew=1&amp;page='.$page.$endurl.'">On</a>][<a href="index.php?id='.$id.'&amp;prew=0&amp;page='.$page.$endurl.'">Off</a>]';

echo '<br/>';
}
echo '</div>
<div class="bmenu">
<li><a href="index.php?id='.$id.$endurl.'">Назад</a></li>
<li><a href="index.php?'.$endurl.'">Загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
</div>';
require_once ("moduls/foot.php");
?>